Uploaded image for project: 'Flink'
  1. Flink
  2. FLINK-22706

Source NOTICE outdated regarding docs/

    XMLWordPrintableJSON

    Details

      Description

      With the PR introduced in [1], flink documentation is upgraded to Hugo instead of Jekyll. However, we fail to update the NOTICE file. [2]

       

      The jQuery, bootstrap dependencies are not used anymore and AnchorJS JS library path should also be updated.

       

      In addition, bootstrap version 3.3.4 is known to have security vulnerabilities. See link [3]. This could cause legal approval rejection while adopting Apache Flink. (I am facing such a issue.)

       

      I can create a pull request to fix this. Please assign the task to me.

       

      [1] https://issues.apache.org/jira/browse/FLINK-21193

      [2] https://github.com/apache/flink/blob/master/NOTICE#L10

      [3]https://snyk.io/test/npm/bootstrap/3.3.4

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                Fuyao Li Fuyao Li
                Reporter:
                Fuyao Li Fuyao Li
              • Votes:
                0 Vote for this issue
                Watchers:
                2 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: